Bug 1004904 - rhq storage log is stored in incorrect directory - windows 2008
rhq storage log is stored in incorrect directory - windows 2008
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.9
x86_64 Windows
unspecified Severity high (vote)
: ---
: RHQ 4.9
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-09-05 13:34 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 15:09:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhq-logs.png (36.69 KB, image/png)
2013-09-09 06:24 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-05 13:34:46 EDT
Description of problem:
rhq storage log is stored in incorrect directory

Version-Release number of selected component (if applicable):
48f882b

How reproducible:
always

Steps to Reproduce:
1. install server/storage/agent on windows env
2.
3.

Actual results:
storage log stored in rhq-server-4.9.0-SNAPSHOT/rhq-storage/bin/rhq-server-4.9.0-SNAPSHOTlogsrhq-storage.log 

Expected results:

storage log stored in rhq-server-4.9.0-SNAPSHOT/logs/rhq-storage.log 

Additional info:
OS : Windows 2008
screen -shot -> http://d.pr/i/axsJ
Comment 1 Jay Shaughnessy 2013-09-06 15:41:58 EDT
commit c767213d562442c1c511cf2f610e14bdcc3244ba
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Sep 6 15:17:47 2013 -0400

- fix windows paths for storage deployment options, notably the logfile storage path, but also others

Along with this fix went in a general fix for upgrade handling of the rhq-storage.log file.  When upgrading from 4.8 it was being left as the logfile location of the old server.  It should now always point to the new server's logs directory, after upgrade.
Comment 2 Armine Hovsepyan 2013-09-09 06:24:22 EDT
verified

please get screen-shot attached.
Comment 3 Armine Hovsepyan 2013-09-09 06:24:52 EDT
Created attachment 795571 [details]
rhq-logs.png
Comment 4 Heiko W. Rupp 2013-09-24 15:09:24 EDT
Bulk closing of RHQ 4.9 verified items

Note You need to log in before you can comment on or make changes to this bug.